using Framework.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.ItemSystem
{
    public class ItemTransfer : CoreAction
    {
        private Itemlike item;

        public ItemTransfer(CoreBehaviour sender, Itemlike item)
            : base(sender)
        {
            this.item = item;
        }

        public Itemlike GetItem()
        {
            return this.item;
        }
    }

    public class PickupItem : ItemTransfer
    {
        public PickupItem(CoreBehaviour sender, Itemlike item)
            : base(sender, item)
        { }
    }

    public class DropItem : ItemTransfer
    {
        public DropItem(CoreBehaviour sender, Itemlike item)
            : base(sender, item)
        { }
    }
}
